package grapher.ui;

import javax.swing.JFrame;
import javax.swing.JMenuBar;
import javax.swing.SwingUtilities;


public class Main extends JFrame {
	Main(String title, String[] expressions) {
		super(title);
		setDefaultCloseOperation(EXIT_ON_CLOSE);

		setJMenuBar(new JMenuBar());
		FunctionPane functionPane = new FunctionPane(getJMenuBar());
		for(String expression: expressions) {
			functionPane.add(expression);
		}
		
		add(functionPane);
		pack();
	}
	
	public static void main(String[] argv) {
		System.setProperty("apple.laf.useScreenMenuBar", "true");

		final String[] expressions = argv;
		SwingUtilities.invokeLater(new Runnable() {
			public void run() { 
				new Main("grapher", expressions).setVisible(true); 
			}
		});
	}
}
